import { state } from './state';
import { createStore } from 'vuex';

export default createStore({
  state,
  mutations: {
    SET_BEGINTIME(state, payload) {
      state.beginTime = payload.beginTime
      return state

    },
    SET_ENDTIME(state, payload) {
      state.endTime = payload.endTime
      return state

    }
  },
  actions: {
    wxLogin() {
      let href = ""
      switch (import.meta.env.MODE) {
        case "development":
          location.replace(`https://open.weixin.qq.com/connect/oauth2/authorize?appid=wx3043c2c1decb01ed&redirect_uri=https://coach1.zzxcx.net/&response_type=code&scope=snsapi_userinfo&state=LOGIN&connect_redirect=1#wechat_redirect`)
          break;
        case "test":
          location.replace(`https://open.weixin.qq.com/connect/oauth2/authorize?appid=wx3043c2c1decb01ed&redirect_uri=https://coach1.zzxcx.net/&response_type=code&scope=snsapi_userinfo&state=LOGIN&connect_redirect=1#wechat_redirect`)
          break;
        case "production":
          location.replace(`https://open.weixin.qq.com/connect/oauth2/authorize?appid=wx3043c2c1decb01ed&redirect_uri=https://coach.zzxcx.net/&response_type=code&scope=snsapi_userinfo&state=LOGIN&connect_redirect=1#wechat_redirect`);
          break;
      }

     
      


    }
  },
  modules: {},
});
